Package com.evopdf

# Enum ViewerPageLayout

java.lang.Object
java.lang.Enum<ViewerPageLayout>
com.evopdf.ViewerPageLayout

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewerPageLayout>`, `java.lang.constant.Constable`

public enum ViewerPageLayout extends Enum<ViewerPageLayout>
A name object specifying the page layout to be used when the document is opened

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OneColumn`
  Display the pages in one column
  `SinglePage`
  Display one page at a time
  `TwoColumnLeft`
  Display the pages in two columns, with odd numbered pages on the left
  `TwoColumnRight`
  Display the pages in two columns, with odd numbered pages on the right

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ViewerPageLayout`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ViewerPageLayout[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SinglePage

    public static final ViewerPageLayout SinglePage
    Display one page at a time

  - ### OneColumn

    public static final ViewerPageLayout OneColumn
    Display the pages in one column

  - ### TwoColumnLeft

    public static final ViewerPageLayout TwoColumnLeft
    Display the pages in two columns, with odd numbered pages on the left

  - ### TwoColumnRight

    public static final ViewerPageLayout TwoColumnRight
    Display the pages in two columns, with odd numbered pages on the right

- ## Method Details

  - ### values

    public static ViewerPageLayout[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ViewerPageLayout valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()